Page MenuHomePhabricator

elm: fix dereferencing issue and add error handling and remove unreachable codes.
ClosedPublic

Authored by myoungwoon on Jan 28 2019, 11:22 PM.

Details

Summary

I had fixed dereferencing issue and added chmod error handling(elm_code_file)
I had removed unreachable codes which remains after changing arguments initiallization(efl_ui_win)

Test Plan

Run unit test cases

Diff Detail

Repository
rEFL core/efl
Branch
hotfix
Lint
No Linters Available
Unit
No Unit Test Coverage
Build Status
Buildable 9245
Build 7886: arc lint + arc unit
myoungwoon requested review of this revision.Jan 28 2019, 11:22 PM
myoungwoon created this revision.
zmike requested changes to this revision.Jan 29 2019, 6:19 AM

I think ideally this should be two separate patches, one for efl_ui_win.c and one for elm_code_file.c, but I'm willing to overlook that if you change the first line of the commit log to start with elm:

src/lib/elementary/elm_code_file.c
130

This should probably be EINA_SAFETY_ON_NULL_RETURN_VALUE.

This revision now requires changes to proceed.Jan 29 2019, 6:19 AM
myoungwoon updated this revision to Diff 19027.Jan 29 2019, 4:25 PM

elm: fix deferencing issue and add error handling and remove unreachable codes

myoungwoon retitled this revision from Fix: fix dereferencing issue and add error handling and removes unreachable codes. to elm: fix dereferencing issue and add error handling and remove unreachable codes..Jan 29 2019, 4:26 PM
zmike accepted this revision.Jan 30 2019, 12:53 PM
This revision is now accepted and ready to land.Jan 30 2019, 12:53 PM
Closed by commit rEFLf4e5948c0fd8: elm: fix dereferencing issue and add error handling and remove unreachable… (authored by Myoungwoon Roy, Kim <myoungwoon.kim@samsung.com>, committed by zmike). · Explain WhyJan 30 2019, 12:53 PM
This revision was automatically updated to reflect the committed changes.